<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableConfigCityManagement extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('config_city_management', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('province_id');//省份ID
            $table->integer('city_id');//城市ID
            $table->string('province_name',20);//省份名称
            $table->string('city_name',30);//城市名称
            $table->tinyInteger('express_type')->default(0);//快递方式：0.快递；1.自提
            $table->tinyInteger('status')->default(0);        //状态: 0.启用 1.停用
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('config_city_management');
    }
}
